/****************************************************************************
 *    Copyright (C) 2015-2023 Savoir-faire Linux Inc.                       *
 *   Author : Stepan Salenikovich <stepan.salenikovich@savoirfairelinux.com>*
 *                                                                          *
 *   This library is free software; you can redistribute it and/or          *
 *   modify it under the terms of the GNU Lesser General Public             *
 *   License as published by the Free Software Foundation; either           *
 *   version 2.1 of the License, or (at your option) any later version.     *
 *                                                                          *
 *   This library is distributed in the hope that it will be useful,        *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU      *
 *   Lesser General Public License for more details.                        *
 *                                                                          *
 *   You should have received a copy of the GNU General Public License      *
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.  *
 ***************************************************************************/
#include "dbuserrorhandlerdefault.h"

namespace Interfaces {

void
DBusErrorHandlerDefault::connectionError(const QString& error)
{
    qDebug() << error;
    throw error.toLatin1().constData();
}

void
DBusErrorHandlerDefault::invalidInterfaceError(const QString& error)
{
    qDebug() << error;
    throw error.toLatin1().constData();
}

} // namespace Interfaces
